Package org.apache.storm.trident.operation.builtin

# Class FirstN.FirstNAgg

java.lang.Object
org.apache.storm.trident.operation.BaseOperation
org.apache.storm.trident.operation.BaseAggregator<org.apache.storm.trident.operation.builtin.FirstN.FirstNAgg.State>
org.apache.storm.trident.operation.builtin.FirstN.FirstNAgg

All Implemented Interfaces:
  `Serializable`, `Aggregator<org.apache.storm.trident.operation.builtin.FirstN.FirstNAgg.State>`, `Operation`

Enclosing class:
  FirstN

public static class FirstN.FirstNAgg extends BaseAggregator<org.apache.storm.trident.operation.builtin.FirstN.FirstNAgg.State>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FirstNAgg(int n)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `aggregate(org.apache.storm.trident.operation.builtin.FirstN.FirstNAgg.State val, TridentTuple tuple, TridentCollector collector)`
  `void`
  `complete(org.apache.storm.trident.operation.builtin.FirstN.FirstNAgg.State val, TridentCollector collector)`
  `org.apache.storm.trident.operation.builtin.FirstN.FirstNAgg.State`
  `init(Object batchId, TridentCollector collector)`

  ### Methods inherited from class org.apache.storm.trident.operation.BaseOperation

  `cleanup, prepare`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.storm.trident.operation.Operation

  `cleanup, prepare`

- ## Constructor Details

  - ### FirstNAgg

    public FirstNAgg(int n)

- ## Method Details

  - ### init

    public org.apache.storm.trident.operation.builtin.FirstN.FirstNAgg.State init(Object batchId, TridentCollector collector)

  - ### aggregate

    public void aggregate(org.apache.storm.trident.operation.builtin.FirstN.FirstNAgg.State val, TridentTuple tuple, TridentCollector collector)

  - ### complete

    public void complete(org.apache.storm.trident.operation.builtin.FirstN.FirstNAgg.State val, TridentCollector collector)